---
title:
  "nf-core/taxprofiler: highly parallelised and flexible pipeline for metagenomic taxonomic classification and profiling"
date: 2023-10-23
featured: true
tags:
  - genomics
categories:
  - paper
people:
  - Sofia Stamouli
  - Moritz E. Beber
  - Tanja Normark
  - Thomas A. Christensen II
  - Lili Andersson-Li
  - Maxime Borry
  - Mahwash Jamy
  - nf-core community
  - James A. Fellows Yate
link: https://doi.org/10.1101/2023.10.20.563221
journal: bioRxiv
---

Metagenomic classification tackles the problem of characterising the taxonomic source of all DNA sequencing reads in a sample. A common approach to address the differences and biases between the many different taxonomic classification tools is to run metagenomic data through multiple classification tools and databases. This, however, is a very time-consuming task when performed manually - particularly when combined with the appropriate preprocessing of sequencing reads before the classification. Here we present nf-core/taxprofiler, a highly parallelised read-processing and taxonomic classification pipeline. It is designed for the automated and simultaneous classification and/or profiling of both short- and long-read metagenomic sequencing libraries against a 11 taxonomic classifiers and profilers as well as databases within a single pipeline run. Implemented in Nextflow and as part of the nf-core initiative, the pipeline benefits from high levels of scalability and portability, accommodating from small to extremely large projects on a wide range of computing infrastructure. It has been developed following best-practise software development practises and community support to ensure longevity and adaptability of the pipeline, to help keep it up to date with the field of metagenomics.
